---
kind: pipeline
type: docker
name: default

clone:
  depth: 1

steps:
- name: fetch
  image: alpine/git
  commands:
    - git submodule update --init --recursive
- name: build
  pull: always
  image: gitea.rixxc.de/rixxc/ma-latex:latest
  volumes:
    - name: webroot
      path: /webroot
  commands:
    - cd thesis
    - pdflatex Abschlussarbeit
    - bibtex Abschlussarbeit
    - pdflatex Abschlussarbeit
    - pdflatex Abschlussarbeit
    - cp "Abschlussarbeit".pdf /webroot

volumes:
- name: webroot
  host:
    path: /var/www/thesis

